Loading...
Searching...
No Matches
Blowfish
libavutil » Crypto and Hashing

## Data Structures

struct | AVBlowfish

## Macros

#define | AV_BF_ROUNDS 16

## Functions

AVBlowfish * | av_blowfish_alloc (void)
| Allocate an AVBlowfish context.
void | av_blowfish_init (struct AVBlowfish *ctx, const uint8_t *key, int key_len)
| Initialize an AVBlowfish context.
void | av_blowfish_crypt_ecb (struct AVBlowfish *ctx, uint32_t *xl, uint32_t *xr, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.
void | av_blowfish_crypt (struct AVBlowfish *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Detailed Description

## Macro Definition Documentation

## AV_BF_ROUNDS

#define AV_BF_ROUNDS 16

Definition at line 33 of file blowfish.h.

## Function Documentation

## av_blowfish_alloc()

AVBlowfish * av_blowfish_alloc | ( | void |  | ) |

Allocate an AVBlowfish context.

## av_blowfish_init()

void av_blowfish_init | ( | struct AVBlowfish * | ctx,
|  | const uint8_t * | key,
|  | int | key_len
| ) |  |

Initialize an AVBlowfish context.

Parameters

  ctx | an AVBlowfish context
  key | a key
  key_len | length of the key

## av_blowfish_crypt_ecb()

void av_blowfish_crypt_ecb | ( | struct AVBlowfish * | ctx,
|  | uint32_t * | xl,
|  | uint32_t * | xr,
|  | int | decrypt
| ) |  |

Encrypt or decrypt a buffer using a previously initialized context.

Parameters

  ctx | an AVBlowfish context
  xl | left four bytes halves of input to be encrypted
  xr | right four bytes halves of input to be encrypted
  decrypt | 0 for encryption, 1 for decryption

## av_blowfish_crypt()

void av_blowfish_crypt | ( | struct AVBlowfish * | ctx,
|  | uint8_t * | dst,
|  | const uint8_t * | src,
|  | int | count,
|  | uint8_t * | iv,
|  | int | decrypt
| ) |  |

Encrypt or decrypt a buffer using a previously initialized context.

Parameters

  ctx | an AVBlowfish context
  dst | destination array, can be equal to src
  src | source array, can be equal to dst
  count | number of 8 byte blocks
  iv | initialization vector for CBC mode, if NULL ECB will be used
  decrypt | 0 for encryption, 1 for decryption